Foxit PDF SDK

Instance Methods | List of all members
FSRMSSecurityHandler Class Reference
Inheritance diagram for FSRMSSecurityHandler:

## Instance Methods
(id) | - init
| Constructor. More...
(BOOL) | - initialize:callback:
| Initialize current Microsoft RMS security handler. More...
(id) | - initWithOther:
| Constructor, with parent class object. More...
Instance Methods inherited from FSSecurityHandler
(FSPDFDocEncryptType) | - getSecurityType
| Get the encryption type of current security handler. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Detailed Description

This class represents a RMS security handler, used for RMS encryption.

Note
  If module "RMS" is not defined in the license information which is used in function FSLibrary::initialize:key:, that means user has no right in using RMS related functions and valid RMS security handler would not be constructed successfully and exception FSErrNoRMSModuleRight would be thrown.

See also
  FSSecurityHandler

## Method Documentation

## ◆ init()

- (id) init |  |  |

Constructor.

Note
  If module "RMS" is not defined in the license information which is used in function FSLibrary::initialize:key:, that means user has no right in using RMS related functions and this constructor will throw exception FSErrNoRMSModuleRight.

Reimplemented from FSSecurityHandler.

## ◆ initialize:callback:()

- (BOOL) initialize: |  | (FSRMSEncryptData*) | encrypt_data
callback: |  | (id<FSRMSSecurityCallback>) | callback

Initialize current Microsoft RMS security handler.

If this function is successfully, Foxit PDF SDK will take over the input security callback object and user should not release this callback object directly anymore; otherwise unexpected crash may occurs later.

Parameters

  [in] | encrypt_data | A RMS encrypt data object.
  [in] | callback | A valid FSRMSSecurityCallback object, which is inherited and implemented by user for their own encryption and description algorithm. It should not be nil.

Returns

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSSecurityHandler*) | other |

Constructor, with parent class object.

Parameters

  [in] | other | Parent class object.

Note
  If module "RMS" is not defined in the license information which is used in function FSLibrary::initialize:key:, that means user has no right in using RMS related functions and this constructor will throw exception FSErrNoRMSModuleRight.

Reimplemented from FSSecurityHandler.